# Detections ## List Leaked Credential Checks Custom Detections `client.leakedCredentialChecks.detections.list(DetectionListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/zones/{zone_id}/leaked-credential-checks/detections` List user-defined detection patterns for Leaked Credential Checks. ### Parameters - `params: DetectionListParams` - `zone_id: string` Defines an identifier. ### Returns - `DetectionListResponse` Defines a custom set of username/password expressions to match Leaked Credential Checks on. - `id?: string` Defines the unique ID for this custom detection. - `password?: string` Defines ehe ruleset expression to use in matching the password in a request. - `username?: string` Defines the ruleset expression to use in matching the username in a request. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const detectionListResponse of client.leakedCredentialChecks.detections.list({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(detectionListResponse.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "18a14bafaa8eb1df04ce683ec18c765e", "password": "lookup_json_string(http.request.body.raw, \"secret\")", "username": "lookup_json_string(http.request.body.raw, \"user\")" } ], "success": true } ``` ## Create Leaked Credential Checks Custom Detection `client.leakedCredentialChecks.detections.create(DetectionCreateParamsparams, RequestOptionsoptions?): DetectionCreateResponse` **post** `/zones/{zone_id}/leaked-credential-checks/detections` Create user-defined detection pattern for Leaked Credential Checks. ### Parameters - `params: DetectionCreateParams` - `zone_id: string` Path param: Defines an identifier. - `password?: string` Body param: Defines ehe ruleset expression to use in matching the password in a request. - `username?: string` Body param: Defines the ruleset expression to use in matching the username in a request. ### Returns - `DetectionCreateResponse` Defines a custom set of username/password expressions to match Leaked Credential Checks on. - `id?: string` Defines the unique ID for this custom detection. - `password?: string` Defines ehe ruleset expression to use in matching the password in a request. - `username?: string` Defines the ruleset expression to use in matching the username in a request. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const detection = await client.leakedCredentialChecks.detections.create({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(detection.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "18a14bafaa8eb1df04ce683ec18c765e", "password": "lookup_json_string(http.request.body.raw, \"secret\")", "username": "lookup_json_string(http.request.body.raw, \"user\")" }, "success": true } ``` ## Get Leaked Credential Checks Custom Detection `client.leakedCredentialChecks.detections.get(stringdetectionId, DetectionGetParamsparams, RequestOptionsoptions?): DetectionGetResponse` **get** `/zones/{zone_id}/leaked-credential-checks/detections/{detection_id}` Get user-defined detection pattern for Leaked Credential Checks. ### Parameters - `detectionId: string` Defines the unique ID for this custom detection. - `params: DetectionGetParams` - `zone_id: string` Defines an identifier. ### Returns - `DetectionGetResponse` Defines a custom set of username/password expressions to match Leaked Credential Checks on. - `id?: string` Defines the unique ID for this custom detection. - `password?: string` Defines ehe ruleset expression to use in matching the password in a request. - `username?: string` Defines the ruleset expression to use in matching the username in a request. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const detection = await client.leakedCredentialChecks.detections.get( '18a14bafaa8eb1df04ce683ec18c765e', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(detection.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "18a14bafaa8eb1df04ce683ec18c765e", "password": "lookup_json_string(http.request.body.raw, \"secret\")", "username": "lookup_json_string(http.request.body.raw, \"user\")" }, "success": true } ``` ## Update Leaked Credential Checks Custom Detection `client.leakedCredentialChecks.detections.update(stringdetectionId, DetectionUpdateParamsparams, RequestOptionsoptions?): DetectionUpdateResponse` **put** `/zones/{zone_id}/leaked-credential-checks/detections/{detection_id}` Update user-defined detection pattern for Leaked Credential Checks. ### Parameters - `detectionId: string` Defines the unique ID for this custom detection. - `params: DetectionUpdateParams` - `zone_id: string` Path param: Defines an identifier. - `password?: string` Body param: Defines ehe ruleset expression to use in matching the password in a request. - `username?: string` Body param: Defines the ruleset expression to use in matching the username in a request. ### Returns - `DetectionUpdateResponse` Defines a custom set of username/password expressions to match Leaked Credential Checks on. - `id?: string` Defines the unique ID for this custom detection. - `password?: string` Defines ehe ruleset expression to use in matching the password in a request. - `username?: string` Defines the ruleset expression to use in matching the username in a request. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const detection = await client.leakedCredentialChecks.detections.update( '18a14bafaa8eb1df04ce683ec18c765e', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(detection.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "18a14bafaa8eb1df04ce683ec18c765e", "password": "lookup_json_string(http.request.body.raw, \"secret\")", "username": "lookup_json_string(http.request.body.raw, \"user\")" }, "success": true } ``` ## Delete Leaked Credential Checks Custom Detection `client.leakedCredentialChecks.detections.delete(stringdetectionId, DetectionDeleteParamsparams, RequestOptionsoptions?): DetectionDeleteResponse` **delete** `/zones/{zone_id}/leaked-credential-checks/detections/{detection_id}` Remove user-defined detection pattern for Leaked Credential Checks. ### Parameters - `detectionId: string` Defines the unique ID for this custom detection. - `params: DetectionDeleteParams` - `zone_id: string` Defines an identifier. ### Returns - `DetectionDeleteResponse = unknown` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const detection = await client.leakedCredentialChecks.detections.delete( '18a14bafaa8eb1df04ce683ec18c765e', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(detection); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": {}, "success": true } ``` ## Domain Types ### Detection List Response - `DetectionListResponse` Defines a custom set of username/password expressions to match Leaked Credential Checks on. - `id?: string` Defines the unique ID for this custom detection. - `password?: string` Defines ehe ruleset expression to use in matching the password in a request. - `username?: string` Defines the ruleset expression to use in matching the username in a request. ### Detection Create Response - `DetectionCreateResponse` Defines a custom set of username/password expressions to match Leaked Credential Checks on. - `id?: string` Defines the unique ID for this custom detection. - `password?: string` Defines ehe ruleset expression to use in matching the password in a request. - `username?: string` Defines the ruleset expression to use in matching the username in a request. ### Detection Get Response - `DetectionGetResponse` Defines a custom set of username/password expressions to match Leaked Credential Checks on. - `id?: string` Defines the unique ID for this custom detection. - `password?: string` Defines ehe ruleset expression to use in matching the password in a request. - `username?: string` Defines the ruleset expression to use in matching the username in a request. ### Detection Update Response - `DetectionUpdateResponse` Defines a custom set of username/password expressions to match Leaked Credential Checks on. - `id?: string` Defines the unique ID for this custom detection. - `password?: string` Defines ehe ruleset expression to use in matching the password in a request. - `username?: string` Defines the ruleset expression to use in matching the username in a request. ### Detection Delete Response - `DetectionDeleteResponse = unknown`